Inhalte

# Anweisung End

Beendet eine Prozedur oder einen Prozedurabschnitt (Block).

## Syntax:

    End, End Enum, End Function, End If, End Property, End Select, End Sub, End With

## Parameter:

Sie können die Anweisung End wie folgt verwenden:

## Anweisung

End : Ist niemals erforderlich, kann aber an einer beliebigen Stelle innerhalb einer Prozedur angegeben werden, um den Programmablauf zu stoppen.

End Enum: Beendet eine VBA-Anweisung Enum

End Function: Beendet eine Anweisung Function.

End If : Kennzeichnet das Ende eines Blockes If…Then…Else.

End Property: Markiert das Ende einer Anweisung Property.

End Select : Kennzeichnet das Ende eines Select Case-Blockes.

End Sub: Beendet eine Anweisung Sub.

End With: Beendet eine Anweisung With

## Beispiel:

    Sub ExampleRandomSelect
    Dim iVar As Integer
        iVar = Int((15 * Rnd) -2)
        Select Case iVar
            Case 1 To 5
                Print "Zahl von 1 bis 5"
            Case 6, 7, 8
                Print "Zahl von 6,7 oder 8"
            Case Is > 8 And iVar < 11
                Print "Größer als 8"
            Case Else
                Print "Außerhalb von 1 bis 10"
        End Select
    End Sub

Bitte unterstützen Sie uns!